Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CONV_FRAMEC.cpp File Reference

`#include "tao/CONV_FRAMEC.h"`
`#include "tao/Any.h"`
`#include "tao/Typecode.h"`
`#include "tao/CONV_FRAMEC.i"`

Include dependency graph for CONV_FRAMEC.cpp:

## Defines
#define | __TAO_UNBOUNDED_SEQUENCE_CONV_FRAME_CODESETCOMPONENT__TAO_SEQ_CODESETID_CS_
#define | _CONV_FRAME_CODESETCOMPONENT__TAO_SEQ_CODESETID_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_CONV_FRAME_CodeSetId (CORBA::tk_alias, sizeof (_oc_CONV_FRAME_CodeSetId), (char *) &_oc_CONV_FRAME_CodeSetId, 0, sizeof (CONV_FRAME::CodeSetId))
CORBA::TypeCode | _tc_TAO_tc_CONV_FRAME_CodeSetComponent (CORBA::tk_struct, sizeof (_oc_CONV_FRAME_CodeSetComponent), (char *) &_oc_CONV_FRAME_CodeSetComponent, 0, sizeof (CONV_FRAME::CodeSetComponent))
CORBA::TypeCode | _tc_TAO_tc_CONV_FRAME_CodeSetComponentInfo (CORBA::tk_struct, sizeof (_oc_CONV_FRAME_CodeSetComponentInfo), (char *) &_oc_CONV_FRAME_CodeSetComponentInfo, 0, sizeof (CONV_FRAME::CodeSetComponentInfo))
CORBA::TypeCode | _tc_TAO_tc_CONV_FRAME_CodeSetContext (CORBA::tk_struct, sizeof (_oc_CONV_FRAME_CodeSetContext), (char *) &_oc_CONV_FRAME_CodeSetContext, 0, sizeof (CONV_FRAME::CodeSetContext))
void | operator<<= (CORBA::Any &_tao_any, CONV_FRAME::CodeSetComponent *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CONV_FRAME::CodeSetComponent *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CONV_FRAME::CodeSetComponent *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const CONV_FRAME::CodeSetComponentInfo &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CONV_FRAME::CodeSetComponentInfo *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CONV_FRAME::CodeSetComponentInfo *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CONV_FRAME::CodeSetComponentInfo *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const CONV_FRAME::CodeSetContext &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CONV_FRAME::CodeSetContext *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CONV_FRAME::CodeSetContext *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CONV_FRAME::CodeSetContext *&_tao_elem)
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId &_tao_sequence )
## Variables
const CORBA::Long | _oc_CONV_FRAME_CodeSetId []
const CORBA::Long | _oc_CONV_FRAME_CodeSetComponentInfo []

## Define Documentation

#define _CONV_FRAME_CODESETCOMPONENT__TAO_SEQ_CODESETID_CS_

#define __TAO_UNBOUNDED_SEQUENCE_CONV_FRAME_CODESETCOMPONENT__TAO_SEQ_CODESETID_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_CONV_FRAME_CodeSetComponent ( | CORBA::tk_struct,
| sizeof(_oc_CONV_FRAME_CodeSetComponent),
| (char *)& _oc_CONV_FRAME_CodeSetComponent,
| 0,
| sizeof(CONV_FRAME::CodeSetComponent) )`[static]`

CORBA::TypeCode _tc_TAO_tc_CONV_FRAME_CodeSetComponentInfo ( | CORBA::tk_struct,
| sizeof(_oc_CONV_FRAME_CodeSetComponentInfo),
| (char *)& _oc_CONV_FRAME_CodeSetComponentInfo,
| 0,
| sizeof(CONV_FRAME::CodeSetComponentInfo) )`[static]`

CORBA::TypeCode _tc_TAO_tc_CONV_FRAME_CodeSetContext ( | CORBA::tk_struct,
| sizeof(_oc_CONV_FRAME_CodeSetContext),
| (char *)& _oc_CONV_FRAME_CodeSetContext,
| 0,
| sizeof(CONV_FRAME::CodeSetContext) )`[static]`

CORBA::TypeCode _tc_TAO_tc_CONV_FRAME_CodeSetId ( | CORBA::tk_alias,
| sizeof(_oc_CONV_FRAME_CodeSetId),
| (char *)& _oc_CONV_FRAME_CodeSetId,
| 0,
| sizeof(CONV_FRAME::CodeSetId) )`[static]`

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId & _tao_sequence )

void operator<<= ( | CORBA::Any & _tao_any,
| CONV_FRAME::CodeSetContext * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const CONV_FRAME::CodeSetContext & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| CONV_FRAME::CodeSetComponentInfo * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const CONV_FRAME::CodeSetComponentInfo & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| CONV_FRAME::CodeSetComponent * _tao_elem )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId & _tao_sequence )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const CONV_FRAME::CodeSetContext *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CONV_FRAME::CodeSetContext *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const CONV_FRAME::CodeSetComponentInfo *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CONV_FRAME::CodeSetComponentInfo *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const CONV_FRAME::CodeSetComponent *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| CONV_FRAME::CodeSetComponent *& _tao_elem )

## Variable Documentation

const CORBA::Long _oc_CONV_FRAME_CodeSetComponentInfo[]`[static]`

const CORBA::Long _oc_CONV_FRAME_CodeSetId[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      37, ACE_NTOHL (0x49444c3a), ACE_NTOHL (0x6f6d672e), ACE_NTOHL (0x6f72672f), ACE_NTOHL (0x434f4e56), ACE_NTOHL (0x5f465241), ACE_NTOHL (0x4d452f43), ACE_NTOHL (0x6f646553), ACE_NTOHL (0x65744964), ACE_NTOHL (0x3a312e30), ACE_NTOHL (0x0),
      10, ACE_NTOHL (0x436f6465), ACE_NTOHL (0x53657449), ACE_NTOHL (0x64000000),
      CORBA::tk_ulong,

    }